查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
151 [Magic Linux 3.0] 其它问题 小错误 总是 2013-12-16 19:41 2013-12-26 14:45
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本: alpha1  
摘要: xdm 下无法登录
描述: xdm下使用root及普通用户均无法登录到系统。
标签:
问题重现步骤:
附注:
System Description 64 位的 Magic Linux 3.0
附件: xdm.pamd (390 字节) 2013-12-26 14:42
https://www.magiclinux.org/bugs/file_download.php?file_id=17&type=bug
问题注释
(0000378)
sejishikong   
2013-12-26 14:44   
因为原xdm的pam配置文件中有selinux的内容,影响到了登录,并且有禁止root用户登录的内容,将配置改为附件文件即可,已经打包修正。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
150 [Magic Linux 3.0] 网络相关 很严重 总是 2013-07-02 10:01 2013-07-02 10:01
报告员: sejishikong 平台: i686  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已分配 产品版本: alpha1  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha1  
摘要: 无法连接无线网络
描述: 测试过的三台机器,均不支持无线网络,无法识别无法网卡。
标签:
问题重现步骤:
附注:
System Description 32 位的 Magic Linux 3.0
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
149 [Magic Linux 3.0] 内核相关 宕机 总是 2013-06-19 09:04 2013-06-26 23:49
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 紧急 操作系统版本: 3.0  
状态: 已分配 产品版本: alpha1  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha1  
摘要: 2.997版本在 ATI 显卡上无法正常启动
描述: 2.997版本在 ATI 的 hdxxxx 系列显卡上无法正常启动。表现为随机死机、花屏等。关掉kms会减少花屏现象,但仍会死机。
标签:
问题重现步骤:
附注:
System Description 64 位的 Magic Linux 3.0
附件:
问题注释
(0000377)
sejishikong   
2013-06-26 23:49   
通过更新xorg-x11-server的版本到1.14,解决了一部分这个问题。但对于双显卡仍然需要关闭KMS才可以正常显示。仍然需要继续解决。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
146 [Magic Linux 3.0] KDE相关 很严重 总是 2013-06-17 23:18 2013-06-20 08:16
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 反馈 产品版本: alpha1  
产品Build: 处理状况: 重新打开  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本: alpha1  
摘要: KDE下不支持多音频流
描述: 程序会独占声卡。
标签:
问题重现步骤:
附注:
System Description 64 位的 Magic Linux 3.0
附件:
问题注释
(0000375)
sejishikong   
2013-06-19 09:53   
使用 pulseaudio 服务来解决多音频流支持的问题。
(0000376)
sejishikong   
2013-06-20 08:16   
pulseaudio 的解决方式不是很理想,准备试试恢复到2.5的状态。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
148 [Magic Linux 3.0] 其它问题 小错误 总是 2013-06-17 23:32 2013-06-18 11:34
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已解决 产品版本: alpha1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本: alpha1  
摘要: gstreamer-plugin-good依赖hal
描述: 这是一个不正常的依赖。
hal应该在正常的系统里移除,仅tdm可能需要保留。
标签:
问题重现步骤:
附注:
System Description 64 位的 Magic Linux 3.0
附件:
问题注释
(0000374)
sejishikong   
2013-06-18 11:34   
已修正,不过hal包仍然需要修改。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
147 [Magic Linux 3.0] KDE相关 很严重 总是 2013-06-17 23:20 2013-06-17 23:20
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已分配 产品版本: alpha1  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha1  
摘要: kaffeine的字幕显示为乱码
描述: kde4-kaffeine的字幕显示为乱码。
系统Locale是zh_CN.UTF-8,字幕为 srt,kde4-kmpalyer可以正常显示。
标签:
问题重现步骤:
附注:
System Description 64 位的 Magic Linux 3.0
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
145 [Magic Linux 3.0] KDE相关 很严重 总是 2013-06-17 22:56 2013-06-17 22:56
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已分配 产品版本: alpha1  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha2  
摘要: smb4k 无法挂载中文名共享
描述: smb4k挂载中文名共享时会出错。
标签:
问题重现步骤:
附注:
System Description 64 位的 Magic Linux 3.0
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
144 [Magic Linux 3.0] 内核相关 很严重 总是 2013-06-17 17:00 2013-06-17 17:00
报告员: sejishikong 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已分配 产品版本: alpha1  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha2  
摘要: 无法正常使用 USB 声卡
描述: 有板载声卡的情况下,USB声卡虽然可以识别,测试也可以用,但程序并不使用此声卡。

C-Media 的 USB 声卡和Intel 集成声卡。
标签:
问题重现步骤: 插入 USB 声卡,运行音频程序。
附注:
System Description 64 位的 Magic Linux 3.0
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
143 [Magic 仓库] 添加软件 小错误 总是 2013-06-05 15:29 2013-06-05 17:36
报告员: zy_sunshine 平台: x86_64  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 在安装 perl-devel, perl-ExtUtils-MakeMaker 时缺少 systemtap-sdt-devel 包
描述: netsec@localhost ~/work/magiclinux/samba $ sudo yum install perl-devel
Resolving Dependencies
--> Running transaction check
---> Package perl-devel.x86_64 4:5.16.2-242mgc30 will be installed
--> Processing Dependency: systemtap-sdt-devel for package: 4:perl-devel-5.16.2-242mgc30.x86_64
--> Processing Dependency: perl(ExtUtils::ParseXS) for package: 4:perl-devel-5.16.2-242mgc30.x86_64
--> Processing Dependency: perl(ExtUtils::MakeMaker) for package: 4:perl-devel-5.16.2-242mgc30.x86_64
--> Processing Dependency: perl(ExtUtils::Installed) for package: 4:perl-devel-5.16.2-242mgc30.x86_64
--> Running transaction check
---> Package perl-ExtUtils-Install.noarch 0:1.58-242mgc30 will be installed
---> Package perl-ExtUtils-MakeMaker.noarch 0:6.63.2-242mgc30 will be installed
--> Processing Dependency: perl(ExtUtils::Manifest) for package: perl-ExtUtils-MakeMaker-6.63.2-242mgc30.noarch
---> Package perl-ExtUtils-ParseXS.noarch 1:3.16-242mgc30 will be installed
---> Package perl-devel.x86_64 4:5.16.2-242mgc30 will be installed
--> Processing Dependency: systemtap-sdt-devel for package: 4:perl-devel-5.16.2-242mgc30.x86_64
--> Running transaction check
---> Package perl-ExtUtils-Manifest.noarch 0:1.61-242mgc30 will be installed
---> Package perl-devel.x86_64 4:5.16.2-242mgc30 will be installed
--> Processing Dependency: systemtap-sdt-devel for package: 4:perl-devel-5.16.2-242mgc30.x86_64
--> Finished Dependency Resolution
Error: Package: 4:perl-devel-5.16.2-242mgc30.x86_64 (core)
           Requires: systemtap-sdt-devel
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
标签:
问题重现步骤: sudo yum install perl-devel
sudo yum install perl-ExtUtils-MakeMaker
附注:
System Description 64 位的 Magic Linux 3.0
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
142 [Live系统相关] General 很严重 总是 2013-01-21 14:49 2013-05-09 22:17
报告员: sejishikong 平台: i686  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已解决 产品版本: alpha1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本: alpha1  
摘要: live 无法在有 ntfs 分区的电脑上启动
描述: live 系统在有 ntfs 分区的电脑上启动时或出错退出。
原因是 live 脚本所写的 /etc/fstab 中的 ntfs-3g 挂载参数的 locale 后面是空的。
标签:
问题重现步骤:
附注:
System Description 32 位的 Magic Linux 3.0
附件:
问题注释
(0000373)
sejishikong   
2013-05-09 22:17   
通过更新 live 制作脚本,已经解决了此问题.

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
141 [Live系统相关] General 小错误 总是 2013-01-21 14:47 2013-05-09 22:16
报告员: sejishikong 平台: i686  
分派给: sejishikong 操作系统: MagicLinux  
优先级: 操作系统版本: 3.0  
状态: 已解决 产品版本: alpha1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本: alpha1  
摘要: Live 系统无法重启或关闭
描述: 因为 umount loop 设备时出错,导致 live 系统无法重启或关闭。
标签:
问题重现步骤:
附注:
System Description 32 位的 Magic Linux 3.0
附件:
问题注释
(0000372)
sejishikong   
2013-05-09 22:16   
更新了 live 制作脚本,已解决这个问题.

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
119 [Magic Linux 2.5] 其它问题 小错误 不适用 2010-04-21 19:36 2010-10-25 13:01
报告员: nihui 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本: final  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: ksplash 在非通用分辨率情况下崩溃
描述: 800x600 下正常
但是 vbox 切换成非通常的分辨率就有问题 ksplash 没有了。

崩溃信息同这个 bug,但是 glibc 的那个 bug 我记得我是打过补丁的。。 奇怪。。
https://bugs.launchpad.net/bugs/355843
https://bugs.launchpad.net/bugs/425723
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000371)
nihui   
2010-10-25 13:01   
可能是 libpng 的 bug
留下一笔备忘。。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
132 [Magic Linux 2.5] KDE相关 小错误 总是 2010-06-07 22:46 2010-10-25 12:54
报告员: souser 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 目前kde4版中的kaffeine的问题
描述: 首先是不支持中文路径。
在终端中输入"kaffeine",再按TAB建,不能列出rmvb和ra文件,是根本就认不出有rmvb和ra这两种格式的文件存在,而事实上可以被kaffenie播放。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000348)
nihui   
2010-06-19 21:26   
part 1 resolved.
(0000370)
nihui   
2010-10-25 12:53   
part 2 fixed in kde4-kaffeine-1.1-2mgc

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
135 [Magic Linux 2.5] KDE相关 小调整 总是 2010-06-16 23:24 2010-10-25 12:36
报告员: souser 平台:  
分派给: haulm 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: KDE4版不能在“配置日期和时间”中连上服务器同步更新时间
描述: 会有不能连接时间服务器错误,但服务器实际上没有连接问题。在启用、不启用自动设定的操作过程中还会有“无法认证/执行动作:6”或者“无法认证/执行动作:7,DBus 后端错误:无法连接辅助服务。”
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000344)
nihui   
2010-06-17 12:38   
dvd 版本?
看看有没有装了 polkit-kde-1
cd 版本是有的,dvd 不清楚。。。
(0000345)
souser   
2010-06-17 12:42   
cd版
(0000353)
souser   
2010-07-03 10:21   
KDE3版一样不能,KDE3是不用polkit-kde1的。我说的是magic 2.5 rc2 KDE3,还没看正式版。
(0000354)
sejishikong   
2010-07-09 11:33   
好像也不行,可能和系统的配置有关。检查一下吧。
(0000356)
souser   
2010-07-16 17:41   
(最后编辑: 2010-07-16 17:42)
我有新发现,这个问题跟mxd2有关。用pppoe-start连接网络时,KDE3版和KDE4版都可以连上时间服务器对时,用mxd2联网就不能连上时间服务器。而且只要每次系统启动后,用过一次mxd2联网后,再用pppoe-start联网也不能连上时间服务器。

(0000358)
souser   
2010-07-27 21:52   
(最后编辑: 2010-07-27 21:54)
用mxd2拨号后不能在/var/run下生成pppoe.conf-pppoe.pid, pppoe.conf-pppoe.pid.pppd, pppoe.conf-pppoe.pid.pppoe, pppoe.conf-pppoe.pid.start,也就造成pppoe-status缺少必要的文件不起作用,而pppoe-start能正常起作用。

(0000359)
haulm   
2010-08-14 22:43   
楼上所述无法再现,bug不成立。
# pppoe-status
pppoe-status: Link is up and running on interface ppp0
ppp0 Link encap:Point-to-Point Protocol
          inet addr:122.90.108.185 P-t-P:122.90.104.1 Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1492 Metric:1
          RX packets:1075 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1025 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:517909 (505.7 KiB) TX bytes:183968 (179.6 KiB)
(0000362)
haulm   
2010-08-21 11:43   
软用者 认为问题没有解决,所以打回。
(0000369)
nihui   
2010-10-25 12:35   
fixed in kdebase4-workspace-4.5.2-2mgc

实际错误来源于 ntpdate 无法和服务器通信

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
140 [Magic Linux 2.5] KDE相关 小错误 总是 2010-10-23 09:21 2010-10-25 12:33
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 在2.5正式版打开KDE信息中心中选OpenGL会有“无法初始OpenGL"的提示
描述: 正常情况下,在使用系统自带的显示驱动程序时,会Mesa版本的内容,而不是在点“确定”后显示“显示位置名称:0.0”。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000368)
nihui   
2010-10-25 12:33   
kde3 还是 kde4 ?

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
14 [其它桌面环境] 小错误 不适用 2008-10-19 12:13 2010-10-23 09:13
报告员: Sunjian_sh 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 不做修改  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 老机器,用的是GeForce 4 MX 440-SE的老显卡,安装了官方驱动后进不了KDE了
描述: 老机器,用的是GeForce 4 MX 440-SE的老显卡,安装了官方驱动后进不了KDE了,和前次报告i810驱动的问题有点像。但使用系统自带的驱动“nv”没问题。
标签:
问题重现步骤:
附注:
附件: Xorg.0.log (6,936 字节) 2008-10-19 12:13
https://www.magiclinux.org/bugs/file_download.php?file_id=3&type=bug
问题注释
(0000030)
sejishikong   
2008-10-19 22:39   
你安装的驱动的版本号是多少?
(0000032)
flexyangjie   
2008-10-19 23:32   
我也是这种显卡 也是同样的问题 用的驱动是在NVIDIA上下载的 NVIDIA-Linux-x86-96.43.07.pkg1.run 在RC2版本上安装是正常的 在RC3上安装完了就不能用 把驱动改为NV才可以
(0000033)
Sunjian_sh   
2008-10-20 10:24   
就是96.43.07这个版本的,RC2时升级xorg-X11-server和xorg-X11-drivers后也有同样问题。
(0000034)
sejishikong   
2008-10-20 10:25   
这个版本不支持xorg1.5.0,只能等过段时间他们发布新版本,或者降级xorg了。
(0000036)
Sunjian_sh   
2008-10-20 10:42   
降级xorg-X11-server和xorg-X11-drivers还是发现有问题,选择OpenGl的屏保就会花屏死机,或重启KDE,甚至在Nvidia那个显卡设置工具里选OpenGL有关选项,也会发生同样情况。不知是否是个案,或许是俺的RPWT?
(0000038)
sejishikong   
2008-10-20 10:51   
再换个版本的驱动,比如7x试试,毕竟老显卡可能新驱动支持的不好。
(0000044)
flexyangjie   
2008-10-21 06:11   
你是说换其他的驱动?换这个NVIDIA-Linux-x86-177.80-pkg1.run吗?还有降级XORG-X11这些怎么弄,?
(0000045)
sejishikong   
2008-10-21 09:01   
177.80不行的,它连我的5700 ultra都不支持了。
用7x.xx这种。
(0000047)
Sunjian_sh   
2008-10-21 14:53   
可以先试试 71.86.06 这个版本的。
(0000051)
Sunjian_sh   
2008-10-22 08:59   
昨天回家试了71.86.06版的驱动,没删旧驱动直接装的,安装程序自动删除旧版驱动时有个错误提示,但能成功安装。startx后,花屏问题没了,但屏保貌似启动不了了,很失望,就先删了71.86.06,再装96.43.07,结果出乎意料,驱动还是这个驱动,但原先选择OpenGL的屏保会花屏死机的现象消失了,屏保也会按时启动,一切正常,真见鬼了!
(0000052)
sejishikong   
2008-10-22 09:16   
呵呵,软件这东西就这样。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
101 [Magic Linux 2.5] KDE相关 小错误 总是 2010-01-03 21:31 2010-10-11 18:01
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: KDE3版中的智能包管理器不用root权限就可以运行
描述: 为什么普通用户不用输入root密码就可以运行?
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000250)
sejishikong   
2010-01-04 13:45   
本来就是这样设计的吧。
不过应该不能安装软件的。
(0000253)
souser   
2010-01-04 14:08   
(最后编辑: 2010-01-04 14:19)
旧版本magic linux是要root密码的,现在不需要root密码也可以安装软件。

(0000257)
sejishikong   
2010-01-06 12:04   
不用root密码就可以安装?smart是有过变化,不过应该还得输入密码才对,我看看.
(0000325)
souser   
2010-06-05 22:02   
2.5正式版仍然是这样。
(0000367)
souser   
2010-10-11 18:01   
普通用户运行智能包管理器(图形方式)后,有三个进程,consolehelper-g用普通用户身份运行,但userhelper用普通用户和root用户身份运行,smart用root用户身份运行。看来是因为这样,所以普通用户有权下载和安装软件,是普通用户越权了。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
139 [Magic Linux 2.5] 界面相关 小错误 总是 2010-08-30 22:26 2010-10-03 12:28
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 2.5正式版的fontconfig-2.6.0-5mgc25有问题
描述: 会导致宋体(simsun)、东文宋体、永中宋体显示英文字母很淡,不如中文清晰,好像数字也是,换用2.6.0-1mgc后正常。我用看网页来测试。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000363)
souser   
2010-08-30 22:41   
我在firefox,opera中测试,换用fontconfig-2.6.0-1mgc后正常,但google chrome 5.0.375.127原来只是英文显示淡,换用后英文显示不淡了,但所有字变难看了。
(0000364)
sejishikong   
2010-08-31 14:17   
这是一些配置影响的。
说实话,我没什么好办法。
(0000366)
souser   
2010-10-03 12:28   
用fontconfig-2.6.0-1mgc,在firefox,opera,google chrome 6.0.472.55中用宋体、东文宋体、永中宋体显示网页的文字正常。我的希望是今后选用软件包时尽量注意,也许新的不如旧的。如果非要用新的,希望能保持旧版的好处,看能不能通过修改实现。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
138 [Magic Linux 2.5] KDE相关 小错误 总是 2010-07-25 20:02 2010-08-31 15:01
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: IrcShow在magic 2.5正式版的KDE3版的amarok中仍然运行错误
描述: rc版中已修复的问题为何在正式版中有在出现?我已使用PyQt 3.18.1-1mgc2和sip 4.10.2-1mgc25,源中无其他版本可用。
标签:
问题重现步骤:
附注:
附件: ircshow2.png (23,350 字节) 2010-07-25 20:02
https://www.magiclinux.org/bugs/file_download.php?file_id=16&type=bug
png
问题注释
(0000365)
sejishikong   
2010-08-31 15:01   
此问题由软件不兼容引起,下个版本会单独安装一个KDE3版本进行测试。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
137 [Magic Linux 2.5] 界面相关 小错误 总是 2010-07-03 17:39 2010-08-16 11:56
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 正式版的dolphin的“位置”显示的磁盘分区名乱码
描述: 请看图,除了新加卷是中文名外,没有中文名的卷标。乱码的那个分区没设卷标。
标签:
问题重现步骤:
附注:
附件: sendpix0.jpg (247,383 字节) 2010-07-03 17:39
https://www.magiclinux.org/bugs/file_download.php?file_id=15&type=bug
jpg
问题注释
(0000355)
sejishikong   
2010-07-09 11:34   
这好像和91号问题相关。暂时没找到原因,也没找到解决办法。加个卷标试试。
(0000361)
haulm   
2010-08-16 11:56   
(最后编辑: 2010-08-16 11:58)
fat32分区的挂载会出现上述的现象,格式化成ntfs并修改/etc/fstab挂载参数后就正常了。
如果重新再格式化成fat32方式,这种乱码无法再现,所以这个怀疑是否是分区表信息的问题或者就是未登记分区卷标的原因。


查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
134 [Magic Linux 2.5] KDE相关 小错误 总是 2010-06-16 11:03 2010-07-17 11:38
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 正式版是不是带了scim,为什么不能用
描述: 在KDE4版中,一是系统设置中不能点“应用”,二是输入命令后,不见输入法出现。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000342)
souser   
2010-06-16 11:06   
(最后编辑: 2010-06-16 11:23)
在KDE4版的系统设置中普通用户不能设为默认输入法。

(0000343)
souser   
2010-06-16 13:14   
问题都是普通用户不能使用。
(0000357)
souser   
2010-07-17 11:38   
KDE3版没问题,在装过kde3版rc版的硬盘上装KDE4版也没问题,但在没安装过KDE3版rc版的硬盘上安装KDE4版就有这个问题。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
136 [Magic Linux 2.5] 其它问题 小错误 没有试验 2010-06-22 16:07 2010-06-24 15:30
报告员: amato 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 安装2.5正式版最后一步“准备引导管理器”不动了
描述: 机器配置
CPU:P4 3.0
内存:1G
硬盘:双硬盘各80G 其中主盘XP系统,从盘已装Ubuntu
显卡:GEforce2 MX400 64M

先装的XP,然后Ubuntu装在第二块硬盘并安装了GRUB,再安装Magic Linux时(硬盘安装),分区、安装程序包都没有问题。最后一步“安装引导管理器”时,进行到“准备引导管理器”就不动了

之前在另一台机器上,一块硬盘,无其它系统,单独装Magic Linux(刻盘安装),试了两次,都是如此。
标签:
问题重现步骤:
附注: 本来怀疑ISO有问题,再一次验证,确定没有问题
刻盘、硬盘安装都是这样的现象
到了“准备引导管理器”就没有响应了,等了很长时间也不行,鼠标、键盘都正常的,可以断定不是死机。
附件:
问题注释
(0000350)
amato   
2010-06-22 16:45   
iso版本为兼容内核版本
(0000351)
sejishikong   
2010-06-22 18:27   
可能对硬盘识别有问题,你在bios中关闭一块硬盘试试。
(0000352)
amato   
2010-06-24 15:30   
通过试验发现以下问题

兼容内核版本
安装XP、Linux双系统(不论一块硬盘还是两块硬盘,硬盘安装还是光盘安装),在安装Grub时,选择启动信息写入到Window分区时,安装进行到“准备引导管理器”就不动了。

最后在双硬盘双系统安装时选择了选择启动信息写入到含有boot的分区时,可以顺利安装下去,但是重启后无法进入系统,提示 Error 16:Inconsistent filesystem structure

实在没有办法,再一次重装,选择写入到MBR,这才成功。

不知道正式版的其他版本有没有这种问题

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
131 [Magic Linux 2.5] KDE相关 小错误 总是 2010-06-07 22:40 2010-06-19 21:37
报告员: souser 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 正式版中做音频和视频设备后端的xine有问题
描述: 1、用xine做后端会导致kaffenie 1和amarok 2不能支持中文路径。
2、因为少了drvc.so不能正常播放某些rmvb文件。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000347)
nihui   
2010-06-19 21:25   
part 1 confirmed.
(0000349)
nihui   
2010-06-19 21:37   
regression ---- 名副其实的回归问题。。
fixed in phonon-4.4.2-2mgc

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
123 [Magic Linux 2.5] KDE相关 很严重 总是 2010-05-18 12:06 2010-06-17 12:39
报告员: sejishikong 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: final  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: final  
摘要: Kaffeine 1.0-svn3 不支持中文文件名
描述: Kaffeine 1.0-svn3 无法打开含有中文文件名的文件
猜测是文件名处理的函数没有考虑其它Locale
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000316)
sejishikong   
2010-05-21 16:26   
打开文件的代码

void MainWindow::open()
{
        QList<KUrl> urls = KFileDialog::getOpenUrls(KUrl(), MediaWidget::extensionFilter(), this);

        if (urls.size() >= 2) {
                activateTab(PlaylistTabId);
                playlistTab->appendToVisiblePlaylist(urls, true);
        } else if (!urls.isEmpty()) {
                openUrl(urls.at(0));
        }
}
(0000317)
nihui   
2010-05-22 10:03   
check toEncoded() document

319 void XineMediaWidget::playUrl(const KUrl &url)
320 {
321 if (url.toLocalFile().endsWith(QLatin1String(".iso"), Qt::CaseInsensitive)) {
322 encodedDvdUrl = QByteArray("dvd://").append(url.encodedPath());
323 playEncodedUrl(encodedDvdUrl, PlayingDvd);
324 } else {
325 playEncodedUrl(url.toEncoded(), EmitPlaybackFinished);
326 }
327 }
(0000320)
sejishikong   
2010-05-24 17:22   
经测试,xine-lib的其它前端(xine-ui/gxine),都可以正常播放。
看起来还是kaffeine在传递参数的时候有问题。
(0000322)
sejishikong   
2010-06-02 17:04   
1.0正式版本也有同样的问题。
(0000327)
souser   
2010-06-06 10:10   
目前的版本只要路径带中文就不能播放。请看看kaffeine 1.0-pre2为什么可以打开带中文路径的文件?
(0000328)
nihui   
2010-06-06 10:30   
pre2 用的是 kde phonon api
pre3 之后直接用 xine-lib api

学期快结束了,最近比较烦。。。致歉
(0000329)
souser   
2010-06-06 11:02   
我在magic 2.5正式版上用kaffeine 1.0 pre2,能正常使用。
(0000331)
sejishikong   
2010-06-06 13:01   
pre2和pre3是完全不同的。所以pre2能放而pre3不行。
(0000333)
souser   
2010-06-07 22:08   
(最后编辑: 2010-06-07 22:09)
kaffeine 1.0 pre2能支持中文路径只限于用mplayer做后端,用xine做后端同样不支持中文路径。

(0000336)
sejishikong   
2010-06-11 15:41   
嗯,看代码看不明白,关键的现在都改成Url了,encode/decode的搞不清楚。
(0000338)
souser   
2010-06-11 20:24   
请看看是不是跟xine-lib有关。
(0000339)
sejishikong   
2010-06-12 10:36   
肯定和xine-lib有关,问题是其它的xine的前端是正常的。要是改了xine不知道会不会对其它的有影响。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
91 [其它桌面环境] 界面相关 小调整 总是 2009-11-22 16:08 2010-06-15 10:24
报告员: lylddzyx1 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 挂载NTFS分区时盘符出现5555乱码现象还是存在
描述: 挂载NTFS分区时盘符出现5555乱码现象还是存在,载Beta版也有这个现象。
截图如下:http://www.linuxfans.org/bbs/thread-190315-3-1.html
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000225)
sejishikong   
2009-12-26 07:21   
确认,但这个bug比较难解决,因为问题出在hal上。
(0000303)
sejishikong   
2010-04-29 19:39   
(最后编辑: 2010-04-29 19:40)
解决了一部分。不过还是有乱码现象。
windows下的卷标竟然有utf-8和gb两种编码。

(0000304)
nihui   
2010-04-30 10:53   
卷标和挂载的参数有关系吗?
下面这段是 kde solid hal 后端的挂载参数。
另外就是能不能直接进行编码探测?
kdelibs/solid/solid/backends/hal/haldevice.cpp
函数 QString HalDevice::volumeDescription() const 中
solid 的卷标获取是直接读 hal 的 volume.label 属性的。



    QStringList options;
    QString uid="uid=";

    if (halOptions.contains(uid)) {
        options << uid+QString::number(::getuid());
    }

#ifdef Q_OS_FREEBSD
    char *cType;
    if ( fstype=="vfat" && halOptions.contains("-L=")) {
        if ( (cType = getenv("LC_ALL")) || (cType = getenv("LC_CTYPE")) || (cType = getenv("LANG")) )
              options << "-L="+QString(cType);
    }
    else if ( (fstype.startsWith(QLatin1String("ntfs")) || fstype=="iso9660" || fstype=="udf") && halOptions.contains("-C=") ) {
        if ((cType = getenv("LC_ALL")) || (cType = getenv("LC_CTYPE")) || (cType = getenv("LANG")) )
            options << "-C="+QString(nl_langinfo(CODESET));
    }
#else
    if (fstype=="vfat" || fstype=="ntfs" || fstype=="iso9660" || fstype=="udf" ) {
        if (halOptions.contains("utf8"))
            options<<"utf8";
        else if (halOptions.contains("iocharset="))
            options<<"iocharset=utf8";
        if (halOptions.contains("shortname="))
            options<<"shortname=mixed";
        if (halOptions.contains("flush"))
            options<<"flush";
    }
    // pass our locale to the ntfs-3g driver so it can translate local characters
    else if ( halOptions.contains("locale=") ) {
        // have to obtain LC_CTYPE as returned by the `locale` command
        // check in the same order as `locale` does
        char *cType;
        if ( (cType = getenv("LC_ALL")) || (cType = getenv("LC_CTYPE")) || (cType = getenv("LANG")) ) {
            options << "locale="+QString(cType);
        }
    }
#endif

    msg << "" << fstype << options;
(0000305)
sejishikong   
2010-04-30 13:09   
问题在于好像hal本身探测出来的就不对。

不过这里的halOptions是从哪里来的?hal的配置会影响卷标?
(0000341)
sejishikong   
2010-06-15 10:24   
基本解决,部分仍有乱码,但不能具体的重现。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
122 [GUI设计] KDE相关 新功能 总是 2010-05-13 22:38 2010-06-15 10:23
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 反馈 产品版本:  
产品Build: 处理状况: 重新打开  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 希望能在KDE4版中加上在菜单右键打开iso文件的功能
描述: 在KDE3版的konqueror中有这个功能,但KDE4版的文件管理器(dolphin)没这个功能,虽然在KDE4版的konqueror中可以实现,但一般都是用dolphin作为文件管理器,而且konqueror中的对iso文件挂载和卸载的功能是英文菜单。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000319)
sejishikong   
2010-05-24 16:36   
在仓库里添加了AcetoneISO2和mount-iso。
(0000334)
souser   
2010-06-10 22:01   
是可以dolphin中挂载和卸载iso文件,但仍然不能在dolphin中用右键菜单操作,没有有关的内容。
(0000335)
sejishikong   
2010-06-11 15:40   
不会吧,你装了mount-iso么?那个可以在dolphin中挂载iso的啊。
(0000337)
souser   
2010-06-11 20:05   
(最后编辑: 2010-06-11 20:07)
原来是我漏装了mount-iso。装了mount-iso后,可以在dolphin中操作iso了,可惜需要root权限,还是不如在konqueror中的好。能让普通用户有权限操作吗?

(0000340)
sejishikong   
2010-06-15 10:23   
把相应的命令放在sudo文件里就行吧,我看看。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
133 [Magic Linux 2.5] KDE相关 小错误 总是 2010-06-10 21:51 2010-06-10 21:51
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 在magic 2.5正式版的KDE4版中设置程序的快捷键无效
描述: 就是在菜单编辑器中设置程序的快捷键,怎么不起作用?
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
130 [兼容内核项目] 内核相关 崩溃 总是 2010-06-02 18:22 2010-06-06 13:02
报告员: ghostry 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: vmware安装magiclinux的兼容内核版本后无法启动
描述: 新建虚拟机选的ubuntu,内存512M,安装好后启动,先进入系统选择界面,正常,之后出现magiclunux的logo,也正常,之后就出现黑色屏幕和一行小子,貌似在加载什么文件,硬盘灯狂闪,
之后就自动重启了。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000323)
nihui   
2010-06-04 09:16   
重启之后就能进入了。
(0000324)
ghostry   
2010-06-04 09:58   
重启也没有用,这是个循环,我等过,他自动重启了2次,还是没有进去,昨天又试试也还是不行
(0000332)
sejishikong   
2010-06-06 13:02   
你安装的时候换个文件系统试试,或者把启动条目后面的参数删除,看下具体的启动信息。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
28 [其它桌面环境] 小错误 总是 2008-11-08 09:58 2010-06-06 12:30
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 反馈 产品版本:  
产品Build: 处理状况: 重新打开  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 应该重新加上集成配置声卡、显示器和显卡的功能的程序
描述: 为什么去掉了在桌面环境用magiconf配置声卡、显示器和显卡的功能?现在的magiconf里的功能基本上都是kde控制中心的功能,意义不大。用户要做这些事时,不知道命令就不会做,难道让用户都去记alsaconf等命令吗?
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000094)
sejishikong   
2008-11-14 14:23   
嗯,正式版本里会加回来的。
(0000326)
souser   
2010-06-05 22:06   
解决了?在哪里呢?
(0000330)
sejishikong   
2010-06-06 12:30   
magiconf已经没有了,现在都在KDE的系统设置里。有些东西暂时没有了,因为kde4.5可能会有一些变化,所以不打算在现在的版本里放了。
system-config-display就是配置显示的。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
70 [Magic Linux 2.5] 其它问题 新功能 不适用 2009-04-20 08:59 2010-06-04 01:57
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: 完善qsopcast
描述: 调整qsopcast界面,继续完善功能,同时向qt4移植。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000189)
sejishikong   
2009-04-23 16:04   
(最后编辑: 2009-09-02 15:04)
1.添加新sp-sc加的参数(基本完成)
2.调整界面,向官方版本靠拢(未开始)
3.移植到cmake(未完成)
4.alsa做成可选项(未开始)
5.添加内嵌播放器功能(xine/mplayer/vlc)并做成可选项(未开始,放在最后考虑)
6.添加发布功能(未开始,是否添加仍在考虑)
7.调整翻译,添加gettext支持并做成可选项(未完成)
8.自动判断sp-sc是否可用(已完成)
9.向Qt4移植(已完成)
10.添加系统栏图标(qt3版本已完成)
11.核心,界面分开打包(已完成)
12.自动打开播放器(可选项)
13.添加pplive支持
14.添加ppstream支持

(0000271)
sejishikong   
2010-04-12 09:54   
已由nihui完成。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
125 [Magic Linux 2.5] 其它问题 小错误 总是 2010-05-20 12:29 2010-05-30 11:03
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: final  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 安装程序于“生成X配置”时停止
描述: 笔记本上有这个毛病,家里的台式机正常。

日志文件的错误信息如下:
No module ahci found for kernel 2.6.30.10-smp, continuing anyway.
Probing devices to guess BIOS drivers. This may take a long time.
cp: cannot stat /tmpfs/tgtsys/usr/lib/grub/*/*: No such file or directory
Probing devices to guess BIOS drivers. This may take a long time.
Traceback:
  File "/usr/bin/magic.actions.servers", line 107, in ?
    result = eval('long-operatoins.%s(mia,id,8params)' % method)
  File "<string>", line 0, in ?
  File "./operations/Xwindow.py", line 168, in gen_x_config
    mouse = '''
  TypeError: not all arguments converted during string formatting.

我怀疑是因为鼠标配置时用了触摸板的原因,第二次尝试安装时特意改了鼠标配置为 generic mouse 3 buttons(usb),但还是停住了。

标签:
问题重现步骤:
附注:
附件:
问题注释
(0000310)
sejishikong   
2010-05-20 17:19   
我这里也停住过一回,但是再装就正常了,不过用的是nopae的版本。
(0000311)
nihui   
2010-05-20 18:35   
安装时取自 /usr/share/MagicInstaller/operations/Xwindow.py 的上下文。
mouse = ''' 下面这段有语法问题。参数有两个,但格式化字符串 %s 只有一个。
在编译服务器上看了 /work/MI/src/.../operations/Xwindow.py,发现有差异。
编译服务器上的那个没有语法错误。


167 if mouse_shortname == 'synaptics': # Synaptics Touchpad support
168 mouse = '''
169 Section "InputDevice"
170 Identifier "Mouse0"
171 Driver "synaptics"
172 Option "Device" "/dev/%s"
173 Option "Protocol" "auto-dev"
174 Option "SHMConfig" "on"
175 EndSection
176 ''' % (mouse_device, xemu3)
(0000312)
sejishikong   
2010-05-21 08:20   
(最后编辑: 2010-05-21 08:29)
嗯,的确是这里的问题,临时的解决办法就是禁用触摸板。
需不需要再发个fix的版本?
编译服务器上的版本我更新了下,nihui有空测试下吧。

(0000315)
nihui   
2010-05-21 16:15   
服务器上的那个 iso 可以完成安装了。
但是居然启动了 wdm.... 还是配置默认为 xfce4 桌面,按照通常步骤进不了 KDE.....
(0000321)
haulm   
2010-05-30 11:03   
MagicInstall 应该有过不少修改了,我的MI中的Xwindow.py已经有不少差异。

164 if mouse_shortname == 'synaptics': # Synaptics Touchpad support
165 mouse = '''
166 Section "InputDevice"
167 Identifier "Mouse0"
168 Driver "synaptics"
169 Option "Device" "/dev/%s"
170 Option "Protocol" "auto-dev"
171 Option "Emulate3Buttons" "%s"
172 Option "SendCoreEvents" "true"
        Option "LeftEdge" "0"
        Option "RightEdge" "850"
        Option "TopEdge" "0"
        Option "BottomEdge" "645"
        Option "MinSpeed" "0.4"
        Option "MaxSpeed" "1"
        Option "AccelFactor" "0.03"
        Option "FingerLow" "55"
        Option "FingerHigh" "60"
        Option "MaxTapMove" "20"
        Option "MaxTapTime" "100"
        Option "TapButton1" "0"
        Option "TapButton2" "3"
        Option "TabButton3" "2"
        Option "HorizScrollDelta" "10"
        Option "VertScrollDelta" "30"
        Option "SHMConfig" "on"
EndSection
''' % (mouse_device, xemu3)
        else:
            mouse = '''
Section "InputDevice"
        Identifier "Mouse0"
        Driver "mouse"
        Option "Protocol" "%s"
        Option "Device" "/dev/%s"
        Option "ZAxisMapping" "4 5 6 7"
        Option "Emulate3Buttons" "%s"
EndSection

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
127 [Magic Linux 2.5] 网络相关 小调整 总是 2010-05-21 18:00 2010-05-24 17:23
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: Magic 2.5 没有dns cache
描述: magic 2.5默认没有安装nscd服务,导致对某些慢速DNS来说,解析域名缓慢。应该加上。
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
128 [Magic Linux 2.5] 其它问题 小错误 总是 2010-05-22 11:28 2010-05-24 16:46
报告员: zy_sunshine 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: system-config-keyboard 运行错误问题
描述: 缺少相关python库

将上传的文件夹firstboot拷贝到/usr/lib/python2.6/site-packages下即可解决问题。
标签:
问题重现步骤:
附注:
附件: firstboot.tar.gz (174,080 字节) 2010-05-22 11:28
https://www.magiclinux.org/bugs/file_download.php?file_id=14&type=bug
问题注释
(0000318)
sejishikong   
2010-05-22 16:59   
嗯,这个问题,测试的时候就知道了,不过我没找到firstboot相关的文件.这样就太好了.

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
129 [Magic Linux 2.5] 网络相关 小错误 总是 2010-05-23 14:38 2010-05-23 14:38
报告员: sejishikong 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: nx server无法正常运行
描述: 这个问题一直存在,和某些库文件丢失及配置有关.
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
124 [Magic Linux 2.5] 其它问题 小错误 总是 2010-05-19 18:13 2010-05-19 18:13
报告员: sejishikong 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本: final  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: xgnokii 在 GB locale 下运行出现段错误
描述: xgnokii 在 GB 系列的 locale 下运行会出现段错误,而无法运行。
UTF-8下正常。
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
109 [Magic Linux 2.5] 界面相关 小调整 总是 2010-04-18 10:55 2010-05-05 12:54
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: 宽带网络配置向导的桌面/菜单项
描述: root 桌面上有个宽带网络配置向导,但实际上点了没反应。。。
菜单里也有个。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000276)
sejishikong   
2010-04-19 12:29   
那个是原来的,这个是在哪里配置的?给它改成网络配置(netmanager)比较好。
(0000306)
nihui   
2010-05-03 16:01   
magic_network_guide

貌似是写死了 /root/Desktop/xxxx.desktop

点了没反应是因为这个 .desktop 文件里
菜单项也是。
Terminal=false,实际上应该是 true。
(0000309)
nihui   
2010-05-05 12:54   
已经改成 Terminal=true

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
121 [Magic Linux 2.5] KDE相关 小错误 随机 2010-04-25 21:58 2010-05-04 20:36
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 不能正确注销
描述: 有时注销时会出现/opt/mxd/mxd阻止注销而不能注销。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000296)
nihui   
2010-04-25 22:16   
mxd 是不是以 root 运行的?
如果进入 KDE 不运行 mxd 能否正常注销呢?
(0000302)
haulm   
2010-04-29 12:57   
这个是Qt或是KDE4本身的问题,所有用Qt4开发有托盘的程序都可能出现注销或关机被拒绝的现象,如果你多注销几次就可以了,或者关闭程序后再关机就不会出现这种情况。
(0000307)
nihui   
2010-05-03 16:03   
楼主怎么没回复了啊。。。
一直没回复的话没法解决了哦~
(0000308)
souser   
2010-05-04 20:36   
(最后编辑: 2010-05-04 22:13)
回nihui:
不是我不想回复,而是有些问题我搞不清楚,目前我用的系统没有出现因为mxd的原因不能注销,我不清楚不能注销时和现在的情况是什么造成的。目前发现发生在KDE4中,原来多次注销也不能注销,现在多试一次就可以了。在KDE3中好像没这个问题。


查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
111 [Magic Linux 2.5] 其它问题 新功能 不适用 2010-04-18 10:59 2010-04-27 14:00
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: 文泉驿微米黑字体
描述: 不错的字体哦,加上 or 不加
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000277)
sejishikong   
2010-04-19 12:29   
加上吧。或者替换掉正黑?
(0000282)
nihui   
2010-04-19 12:57   
微米黑没有点阵部分的,不要替换啊。。
(0000286)
sejishikong   
2010-04-21 17:19   
那就加上一个rpm吧。
(0000295)
souser   
2010-04-24 22:12   
建议放到仓库里让有需要的人用就行了。
(0000300)
sejishikong   
2010-04-27 14:00   
已添加到仓库

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
104 [Magic Linux 2.5] 其它问题 小错误 总是 2010-02-02 21:32 2010-04-27 13:34
报告员: zy_sunshine 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: Mouse(配置鼠标) 出现 "未知错误"
描述: 问题原因

主要原因:
/usr/bin/system-conifg-mouse 是一个链接文件,指向了consolehelper
而consolehelper是为了提权至root而提供的。
发现/etc/pam.d/reboot 等文件,而reboot可以正常运行,因此猜测
consolehelper的console提权正常,但是gui提权是错误的。
在命令行下运行consolehelper 也会出现"未知错误"。

相关包:pam 和 usermode(consolehelper) 之间的衔接问题。


程序本身原因:
1、
/usr/share/system-config-mouse/mouse_gui.py
25行 import rhpl.mouse as mouse 导入模块的时候,没有相关模块
因为在/usr/lib/python2.6/site-packages/rhpl 中没有mouse模块,但我发现在rhpxl中有mouse模块,拷贝到rhpl中也可以。

2、
在/usr/share/system-config-mouse/mouse_gui.py
28行 from rhpl.firstboot_gui_window import FirstbootGuiWindow 导入模块时,缺少相关模块。
我查看了spec文件,发现firstboot_gui_window.py 有安装,但是安装到了
/usr/share/firstboot

因此复制/usr/share/firstbootfirstboot_gui_window.py 至/usr/lib/python2.6/site-packages/rhpl中即可解决。

解决上述两个问题后运行/usr/share/system-config-mouse/system-config-mouse
可以正常运行。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000269)
sejishikong   
2010-04-12 09:50   
已修复
(0000285)
nihui   
2010-04-19 13:01   
reopen bug.
哪个 release 修复了? = =
(0000299)
sejishikong   
2010-04-27 13:34   
已解决,相关包:
rhpl/system-config-mouse

另:system-config-keyboard的gui无法运行,不好解决,决定放弃。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
82 [Magic Linux 2.5] 网络相关 小错误 没有试验 2009-07-21 11:46 2010-04-27 09:51
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本: rc1  
摘要: 普通用户无法进行 ADSL 拨号
描述: mxd2
/opt/mxd2 也不在 PATH 环境变量中,终端无法直接运行。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000215)
haulm   
2009-11-25 21:14   
内核2.6.31导致这个问题,解决方案未知,暂时降级内核为2.6.30

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
92 [Magic Linux 2.5] 其它问题 很严重 总是 2009-12-22 21:01 2010-04-27 09:11
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: cce不能正常工作
描述: 1、在安装完系统后,系统的第一次启动时会停在欢迎画面,键盘无效,只有删除cce后系统才能继续启动。
2、cce运行后无法使用。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000224)
sejishikong   
2009-12-26 07:20   
确认,准备从系统中移除。
(0000227)
souser   
2009-12-26 17:50   
(最后编辑: 2009-12-26 17:51)
移除后那是不是新版本中在控制台中不能显示和输入中文?希望既能解决这个系统启动时的问题又能保留在控制台中显示和输入中文的功能。

(0000241)
sejishikong   
2009-12-30 16:55   
我指移除掉首次启动向导,不过cce如果真不能用的话,考虑用fbterm替换。
(0000243)
nihui   
2009-12-31 12:40   
cce 实在是 buggy... 用 fbterm 换吧~
cce 已经 n 年没更新了。。
(0000244)
nihui   
2009-12-31 13:19   
fbterm 貌似是 utf8 locale 下才能正常显示中文,在 gb18030 上的中文全部 fallback 到 iso-8859-1 编码了,显示为乱码。。。
(0000245)
sejishikong   
2009-12-31 17:50   
嗯,这也是个问题。
不支持多编码设计?GB2312下能用么?
(0000249)
souser   
2009-12-31 21:36   
可以考虑zhcon吗?
(0000252)
sejishikong   
2010-01-04 13:47   
zhcon在gb18030下工作好像也不正常,仓库里好像有,可以测试下。
(0000255)
souser   
2010-01-04 14:22   
zhcon在哪呢?没看见。
(0000256)
sejishikong   
2010-01-06 12:03   
不好意思,忘记加了.已经加上了.
(0000297)
sejishikong   
2010-04-27 09:11   
1.已放弃使用文本界面的首次启动向导
2.nihui已修正。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
115 [Magic Linux 2.5] 其它问题 很严重 总是 2010-04-18 11:03 2010-04-27 08:52
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: Xorg 的键盘快捷键失效
描述: 包括重要的 ctrl+alt+fn
还有一些多媒体键等等。。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000292)
nihui   
2010-04-24 00:24   
http://www.linuxfans.org/bbs/thread-191848-1-1.html

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
120 [Magic Linux 2.5] 其它问题 新功能 不适用 2010-04-24 20:31 2010-04-26 12:55
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: winetricks
描述: 很实用的 wine 配置工具。
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
49 [Magic Linux 2.5] General 小调整 不适用 2009-03-23 23:12 2010-04-24 19:45
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: 完善字体显示
描述: 完善部分程序的字体显示。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000150)
nihui   
2009-04-05 22:56   
(最后编辑: 2009-04-05 22:57)
我把所有的字体全部设成文泉驿正黑,8~12 pt 没有反锯齿。
等宽字体用的是 bitstream vera sans mono(其实用的就是 wqy 点阵宋体)

ps: 只是我自己这边的情况。

(0000151)
sejishikong   
2009-04-06 00:07   
2.5的freetype/fontconfig/pixman/libXft打了一些补丁,其实大部分还好了,可能只是文泉驿的问题,可是konsole的字体太不舒服了。
(0000191)
sejishikong   
2009-04-24 10:56   
修改了konsole的字体。
(0000217)
sejishikong   
2009-12-23 20:13   
又有变动,暂时不做处理。
(0000294)
sejishikong   
2010-04-24 19:45   
已有nihui完成。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
117 [Magic Linux 2.5] KDE相关 很严重 总是 2010-04-21 18:19 2010-04-24 19:40
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: final  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: kde4-kaffeine 需要依赖 xine
描述: pre2 版本用的是 phonon
但是 pre3 版本开始 kaffeine 又开始直接使用 xine 了。

去掉吧 去掉吧 ~~
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000287)
sejishikong   
2010-04-22 08:34   
噢,对了,忘记去掉了。
再放xine-lib还能放么?不然一块加上。和mplayer互补下。
(0000293)
sejishikong   
2010-04-24 19:40   
添加xine-lib

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
118 [Magic Linux 2.5] 界面相关 小调整 总是 2010-04-21 18:29 2010-04-24 11:47
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: final  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: 添加些屏幕保护
描述: 默认的只有个黑屏幕。。。
kdeartwork4 里面有很多,如果要的话,可以拆包啊 ;)
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
113 [Magic Linux 2.5] 界面相关 小调整 总是 2010-04-18 11:00 2010-04-23 21:54
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: wine 菜单项没有图标
描述: wine 菜单里的项目全是问号,不太好看。。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000279)
sejishikong   
2010-04-19 12:30   
嗯,这是个问题,我找找windows的图标看看吧。
(0000291)
nihui   
2010-04-23 00:39   
wine 的源码包里面其实有图标的。。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
108 [Magic Linux 2.5] 界面相关 小调整 总是 2010-04-18 10:54 2010-04-22 13:15
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: 8pt 以下 13pt 以上没有字体平滑
描述: 第二次登录后,8pt 以下 13pt 以上没有字体平滑 --- 手工设定 ~/.fonts.conf ?.

[nihui@MagicLinux ~]$ cat .fonts.conf
<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="size" qual="any">
   <double>9</double>
  </test>
  <test compare="less_eq" name="size" qual="any">
   <double>12</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="pixelsize" qual="any">
   <double>12</double>
  </test>
  <test compare="less_eq" name="pixelsize" qual="any">
   <double>16</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <dir>~/.fonts</dir>
</fontconfig>
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000275)
sejishikong   
2010-04-19 12:28   
直接放在系统字体配置里?
(0000281)
nihui   
2010-04-19 12:57   
我没试过。。
感觉直接放 /etc/fonts/conf.d/ 里面应该行。。
(0000290)
nihui   
2010-04-22 13:15   
fixed in fontconfig 5mgc

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
110 [Magic Linux 2.5] 界面相关 小调整 总是 2010-04-18 10:57 2010-04-22 13:15
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: monospace 虚拟字体显示破碎
描述: 即传说中的‘等宽’字体,中文英文都有显示问题。
bitstream vera sans mono 没有这个问题。

需要修改系统的 monospace 字体配置。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000288)
nihui   
2010-04-22 12:55   
打开字体平滑效果不错
(0000289)
nihui   
2010-04-22 13:15   
fixed in fontconfig 5mgc

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
103 [Magic Linux 2.5] 其它问题 小错误 总是 2010-01-27 08:47 2010-04-19 12:59
报告员: sejishikong 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本: final  
摘要: fcitx 配置程序在普通用户下不能正常使用
描述: fcitx 配置程序无法正常修改普通用户的配置文件
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000267)
souser   
2010-04-02 12:47   
(最后编辑: 2010-04-02 12:55)
难怪普通用户不能正常使用,原来普通用户登录后使用的fcitx是用root运行的。普通用户没有root的权限。以往的版本都是使用登录用户的身份运行的。

(0000268)
sejishikong   
2010-04-02 17:08   
这应该是fcitx本身的问题吧。

这一星期都在弄那个xkbmap,完全的没有头绪,难道要从源代码开始。
(0000284)
nihui   
2010-04-19 12:59   
fixed in final

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
107 [Magic Linux 2.5] 界面相关 小调整 总是 2010-04-18 10:53 2010-04-19 12:55
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: rc2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: fcitx 为设为默认输入法
描述: 输入法依靠主文件夹中的 .ime 文件启动,而刚安装完时没有这个文件。
kcm_mlimecfg 模块可以生成该文件。

建议默认设置好 .ime 文件为 fcitx
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000274)
sejishikong   
2010-04-19 12:26   
这个放在/etc/skel中可以么?kde4认不认?
(0000280)
nihui   
2010-04-19 12:54   
fixed in kcm_mlimecfg

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
95 [Magic Linux 2.5] 网络相关 很严重 总是 2009-12-26 03:58 2010-04-12 10:06
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: final  
    目标版本:  
摘要: magic 2.5 rc1的kde3版不能上网
描述: 居然没有mxd拨号器,用命令设置后虽然显示已经连接,但仍然不能上网,却放了个又大又不实用的3D桌面设置软件。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000221)
sejishikong   
2009-12-26 07:17   
kde3版本没有mxd?奇怪了,mxd的kde3版本应该有啊。
命令行设置完成后,拨号的时候有什么提示?
那个compiz不算大吧。
(0000228)
souser   
2009-12-27 01:15   
(最后编辑: 2009-12-27 02:48)
compiz是不大,是我搞错了。确实没有mxd

(0000260)
souser   
2010-02-07 22:53   
sejishikong:
你究竟有没有看?magic 2.5 rc1的KDE3版没有mxd,rc2仍然没有mxd。
(0000273)
sejishikong   
2010-04-12 10:06   
已重新添加。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
98 [Magic Linux 2.5] 其它问题 小调整 总是 2009-12-27 01:20 2010-04-01 14:03
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已确认 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 同一个高清视频在magic 2.5 rc1中播放比在以前版本中播放差
描述: 流畅程度不如以前的版本
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000231)
sejishikong   
2009-12-27 06:09   
以前版本?是指beta?kde3还是kde4,mplayer/kaffeine?
(0000233)
souser   
2009-12-28 03:04   
(最后编辑: 2009-12-28 04:53)
以前的版本指的是magic 2.0,magic 2.1 。用KDE3、MPLAYER、KAFFEINE都一样。KDE4版,我看看再说。


查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
102 [Magic Linux 2.5] 界面相关 小错误 总是 2010-01-06 22:02 2010-04-01 14:02
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已确认 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 网络浏览器在magic 2.5 rc 1 KDE3版中不能识别java插件
描述: 装了仓库中的jre后,发现firefox和opera不能识别java插件,KDE4版情况未知。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000258)
souser   
2010-01-06 22:27   
firefox的,通过手动设置解决了,但opera的,还没解决,以前用同一个版本的opera可以识别。
(0000259)
sejishikong   
2010-01-26 10:45   
以前版本的jre是多少?magic_java_config可能和jre配合的版本不对了。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
100 [Magic Linux 2.5] KDE相关 小错误 总是 2009-12-30 18:53 2010-01-06 12:03
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: KDE3版中的amarok中的lrcshow运行错误
描述: 请看图。
标签:
问题重现步骤:
附注:
附件: lrshow.png (10,563 字节) 2009-12-30 18:53
https://www.magiclinux.org/bugs/file_download.php?file_id=12&type=bug
png
问题注释
(0000242)
sejishikong   
2009-12-30 23:26   
可能是qt3需要重编译,我看看。
(0000246)
sejishikong   
2009-12-31 17:54   
更新了 PyQT,好像已经正常了,不过有个版本号错误提示。
(0000247)
sejishikong   
2009-12-31 17:59   
噢,看错了,已修正。
(0000248)
souser   
2009-12-31 18:52   
(最后编辑: 2009-12-31 18:53)
真的解决了吗?如果只是更新PyQt到3.18.1-1的话,还不行,只是将错误由“but the qt module requires API v3.8"改为"but the qt module requires API v6.0"

(0000251)
sejishikong   
2010-01-04 13:46   
sip更新了么?
(0000254)
souser   
2010-01-04 14:20   
我更新sip后,可以正确运行了。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
93 [Magic Linux 2.5] KDE相关 很严重 总是 2009-12-22 21:08 2009-12-30 16:41
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: kde4版不能自动识别和挂载光驱
描述: 要用命令行敲命令才能挂载光驱,好像没了KDE介质通知管理器。
dolphin的“地址”里面没有光驱。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000219)
souser   
2009-12-26 03:51   
kde3版也是一样。
(0000222)
sejishikong   
2009-12-26 07:18   
内核/udev/hal版本配合的问题,rc2应该已经修复了,请等待。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
94 [Magic Linux 2.5] KDE相关 小错误 总是 2009-12-25 05:47 2009-12-30 16:32
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: tvtime不能正常使用
描述: 1、首先是不能发声(指电视节目的声音),这个问题在magic 2.1已经出现过,当时我删除了/etc/modprobe.conf后得到解决,但现在magic 2.5的/etc下本来就没有这个文件。
2、也和声音有关。在konsole中运行tvtime -scan后显示:
[root@MagicLinux ~]# tvtime -scan
Running tvtime 1.0.2.
Reading configuration from /etc/tvtime/tvtime.xml
Reading configuration from /root/.tvtime/tvtime.xml
mixer: Can't open device /dev/mixer, mixer volume and mute unavailable.
leetft: Can't decode UTF-8, invalid character? String truncated.
leetft: Can't decode UTF-8, invalid character? String truncated.
……
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000218)
souser   
2009-12-25 05:50   
只运行"tvtime",也是上面的提示。
(0000223)
sejishikong   
2009-12-26 07:19   
(最后编辑: 2009-12-26 07:20)
看样子好像没认出声卡来?
奇怪了,rc2后我在我的盛大盒子上测试下。
smplayer可以看么?

(0000226)
souser   
2009-12-26 17:42   
管理员:
"mixer: Can't open device /dev/mixer, mixer volume and mute unavailable."这句才是重点。/dev下面没有mixer,而在magic 2.0、magic 2.1中都是有/dev/mixer的。跟smplayer之类的播放器没关。
(0000230)
sejishikong   
2009-12-27 06:08   
现在modprobe.conf应该是变成了modules.conf,我觉得应该和电视卡模块有关。
(0000232)
souser   
2009-12-28 03:02   
我用的电视卡用tvtime在magic 2.0,magic 2.1中都能正常使用
(0000239)
sejishikong   
2009-12-30 15:57   
vi /etc/modprobe.d/dist-oss.conf
去掉最后一行前面的注释。
(0000240)
sejishikong   
2009-12-30 16:31   
更新modules-init-tools,已经修复

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
99 [Magic Linux 2.5] KDE相关 小错误 总是 2009-12-29 17:59 2009-12-29 17:59
报告员: souser 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本:  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: KDE3版的kdiskfree在每次系统登陆后第一次运行都要50秒以上才能列出磁盘各分区的使用情况
描述: 如题。应该几秒种就列出才正常。
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
45 [Magic Linux 2.5] General 很严重 总是 2009-03-15 13:08 2009-12-23 20:01
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha2  
    目标版本:  
摘要: 挂载的 ntfs 分区中文文件名乱码
描述: 无论在什么locale下,挂载的ntfs分区的中文名都是乱码。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000118)
sejishikong   
2009-03-15 13:09   
ntfs-3g 2009.1.1以后,默认强制使用utf-8,这个设计真是太奇怪了。

已经修复。
(0000119)
sejishikong   
2009-03-15 13:12   
diff -u -r ntfs-3g-2009.2.1.orig/libntfs-3g/unistr.c ntfs-3g-2009.2.1/libntfs-3g/unistr.c
--- ntfs-3g-2009.2.1.orig/libntfs-3g/unistr.c 2009-03-17 04:54:20.000000000 +0800
+++ ntfs-3g-2009.2.1/libntfs-3g/unistr.c 2009-03-17 04:54:55.000000000 +0800
@@ -63,7 +63,7 @@
  * encoding inside the strings!!!
  */

-static int use_utf8 = 1; /* use UTF-8 encoding for file names */
+static int use_utf8 = 0; /* don't use UTF-8 encoding for file names */

 /*
  * This is used by the name collation functions to quickly determine what
(0000180)
sejishikong   
2009-04-17 08:11   
此补丁会造成utf-8的locale下乱码。
(0000182)
sejishikong   
2009-04-17 14:44   
重新补丁 ,去掉了static
(0000214)
sejishikong   
2009-11-23 10:28   
从2009.2.1后,locale选项失效,ntfs-3g对中文的支持变差。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
90 [Magic Linux 2.5] 内核相关 很严重 总是 2009-09-03 01:02 2009-09-27 10:08
报告员: cks 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: CPU不支持PAE,无法启动内核
描述: 老机器,Dothan的CPU,不支持PAE,无法启动。
如何更换内核(重新编译或降级)?
我从其他的发行版本里复制过内核过来行不行?
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
88 [Magic Linux 2.5] KDE相关 小错误 有时 2009-08-04 19:50 2009-08-12 18:49
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: beta2  
    目标版本: beta2  
摘要: KDM 缺少默认主题
描述: KDE 4.3 开始引入新的 kdm 主题 oxygen-air

需要修改 kdmrc 文件,更改相关配置,打开字体反锯齿等。
需要修复 KDE4 混用 kde3 版本 kdmrc 问题。

影响的包:magic-kdm4-config、kde4-kdm、………………????
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000210)
nihui   
2009-08-04 19:51   
http://www.linuxfans.org/bbs/thread-189465-1-1.html

论坛报告。
(0000213)
nihui   
2009-08-12 18:49   
fixed release
4.3.0-3mgc

默认主题为 oxygen air

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
79 [Magic Linux 2.5] 界面相关 小错误 总是 2009-07-21 11:32 2009-08-12 18:49
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: beta2  
    目标版本: beta2  
摘要: fcitx 输入法不能自动启动
描述: http://www.linuxfans.org/bbs/thread-189270-1-1.html
标签:
问题重现步骤: kde4-kdm 登录系统,fcitx 没有随之启动,ctrl+space 没有反应。
附注:
附件:
问题注释
(0000204)
nihui   
2009-07-28 17:48   
startx 进入的话可以启动。
(0000205)
nihui   
2009-07-28 20:40   
fix in KDE 4298 packages.
(0000209)
nihui   
2009-08-04 18:21   
still persist in KDE 4.3.0
(0000212)
nihui   
2009-08-12 18:48   
fixed release
4.3.0-3mgc

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
87 [Magic Linux 2.5] KDE相关 小错误 总是 2009-08-03 13:04 2009-08-03 13:06
报告员: nihui 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: beta2  
摘要: 普通用户无法配置 kdm
描述: 系统设置中一些需要 root 权限的模块,普通用户点进去后,所有控件是灰色的,无法配置,也没有“管理员模式”按钮切换。
标签:
问题重现步骤:
附注: 因 KDE4 跨平台的缘故,kde3 的 dcop 方式切换为管理员模式需要 X 视窗的 hack。

下游的 workaround。

fixed release。
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
86 [Magic Linux 2.5] KDE相关 新功能 不适用 2009-08-02 23:08 2009-08-03 12:57
报告员: nihui 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: beta2  
摘要: KCM 输入法相关配置模块移植
描述: fcitx 配置和输入法切换
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000208)
nihui   
2009-08-03 12:57   
fixed release

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
85 [Magic Linux 2.5] 其它问题 小调整 总是 2009-08-02 23:03 2009-08-02 23:05
报告员: nihui 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: alpha2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: beta2  
摘要: K 帮助中心左侧树形索引中文乱码
描述: 如题..
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000207)
nihui   
2009-08-02 23:05   
fixed release
KDE 4.2.98

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
84 [Magic Linux 2.5] KDE相关 小调整 总是 2009-08-02 22:55 2009-08-02 22:58
报告员: nihui 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: beta2  
摘要: strigi 和 nepomukserver 在关闭桌面搜索时仍然启动
描述: 如题。。。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000206)
nihui   
2009-08-02 22:58   
fixed release
strigi-0.7.0
KDE 4.3.0

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
80 [Magic Linux 2.5] KDE相关 小调整 总是 2009-07-21 11:36 2009-07-28 17:42
报告员: nihui 平台:  
分派给: nihui 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: beta1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: beta2  
摘要: kde4-konsole 终端字符与光标间有间距
描述: 默认使用的是 monospace 字体。
标签:
问题重现步骤:
附注: panpanpdj:终端字体换成dejavu sans mono了,光标问题解决,另外光标换成下划线了
附件:
问题注释
(0000203)
nihui   
2009-07-28 17:42   
默认改为 Bitstream Vera Sans Mono,加带字体反锯齿。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
77 [其它桌面环境] 小错误 总是 2009-06-15 20:17 2009-07-15 17:10
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 部分需要root权限的程序由普通用户执行时提示“未知错误”
描述: 在magic 2.1中,部分需要root权限的程序由普通用户执行时提示“未知错误”,这种提示是让人费解的,应该提示需要root权限,普通用户不能执行,要求输入root密码之类的。希望在新版本中能解决这个问题。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000199)
souser   
2009-06-15 20:22   
(最后编辑: 2009-06-16 12:10)
应该就像smart-gui那样提示。
我觉得这个问题跟74号问题是同一个类型,74号问题只是这个问题的一个例子。


查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
74 [Magic Linux 2.5] 其它问题 小错误 总是 2009-05-28 15:03 2009-07-15 16:52
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: alpha2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: beta1  
摘要: 普通用户无法启动 smart
描述: 普通用户登录 KDE,然后从 K 菜单启动 smart,弹出对话框: 未知错误
关闭该对话框后,结束启动。
终端执行 smart-gui,无消息输出。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000193)
souser   
2009-05-29 18:25   
(最后编辑: 2009-05-29 18:28)
普通用户在magic 2.1中使用synaptic-0.57.2-2mgc(新立得软件包管理器),也会出现“未知错误”。

(0000200)
sejishikong   
2009-07-15 16:52   
已解决。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
63 [Magic 仓库] 添加软件 新功能 没有试验 2009-04-08 12:55 2009-07-14 18:25
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 为magic 2.5编译游戏和模拟器相关包
描述: 相关包将出现在extras仓库
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000170)
sejishikong   
2009-04-08 15:50   
(最后编辑: 2009-04-08 16:23)
添加 dosbox。
添加 dosemu。

一些DOS游戏可以从这个地址下载:

ftp:/Linux:Linux@ftp.321211.net/download/games/Emu/DOS/

(0000171)
sejishikong   
2009-04-08 16:40   
(最后编辑: 2009-06-07 20:41)
添加 zsnes。
添加 mupen64plus(一个n64模拟器)
添加 xmame(最后一个版本106)
添加 sdlmame
添加 dega-sdl(一个sms/gg模拟器)
添加 fceultra(一个fc模拟器)
添加 fceux(fceultra的新版本)
添加 mednafen(fc和gba模拟器)
添加 epsxe
添加 pcsxr (PS模拟器)
添加 gens (md模拟器)

(0000172)
sejishikong   
2009-04-10 08:43   
(最后编辑: 2009-04-19 13:23)
添加 smc(一个类似超级马里奥的游戏)。
添加 bubbros(一个类似泡泡龙的游戏)。
添加 supertux(也是类似超级马里奥的游戏)。

(0000186)
djpj2046   
2009-04-18 23:07   
超级企鹅(Super Tux)也不错呀,类似超级马里奥。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
66 [Magic 仓库] 添加软件 新功能 没有试验 2009-04-08 13:02 2009-07-14 18:25
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 为仓库写一个跟踪软件更新的脚本
描述: 编写一个脚本,可以在软件有更新的时候提醒或直接打出新版本的包。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000177)
sejishikong   
2009-04-16 15:26   
我考虑这样,一个配置文件,每一行一个软件,中间用,或其它不常用符号分隔,分成四列,分别是

软件名,当前版本号,包含更新版本的网址,网址中版本号的正则表达,有更新时执行的程序。

其中主要是版本号的正则表达是个问题。脚本这样工作,下载含有更新内容的网页,从网页中找到版本号,判断是否大小当前版本号。主要问题就是从网页中找到版本号,我考虑用一个正则表达式来处理这个问题。
(0000198)
sejishikong   
2009-06-04 19:53   
已经完成了大部分,下一步考虑有更新后自动build rpm。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
65 [Magic 仓库] 添加软件 小错误 没有试验 2009-04-08 13:01 2009-05-30 10:33
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 稍后处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 为magic 2.5添加其它桌面环境
描述: 添加的桌面环境会出现在extras(gnome除外),除去kde3/kde4,其它桌面环境仅打包并简单测试,最好能有人愿意专门维护某个桌面(比如xfce,lxde等,简单桌面也有配置的问题)。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000178)
sejishikong   
2009-04-16 15:37   
(最后编辑: 2009-04-16 15:50)
已经完成:
lxde(不包括外围包)
WindowMaker

以上均未测试

(0000197)
sejishikong   
2009-05-30 10:08   
暂时关闭

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
76 [Magic Linux 2.5] 其它问题 小调整 总是 2009-05-28 15:11 2009-05-30 09:36
报告员: nihui 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: alpha2  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: mplayer 默认视频输出设备参数不正确
描述: mplayer 默认视频输出设备为 xvidix
打开设备失败。

建议改为 xv。
mplayer -vo xv ××××.mpg 可以正常播放视频。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000195)
sejishikong   
2009-05-30 09:35   
ok,已经修正,并且关闭了gui。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
72 [Magic Linux 2.5] 其它问题 新功能 不适用 2009-04-26 10:57 2009-05-04 08:56
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha2  
    目标版本:  
摘要: 更新MI的运行环境
描述: 更新MI的运行环境,使其与2.5一致。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000192)
sejishikong   
2009-04-30 15:24   
暂告一段落:
已经更新的包括:
1.修正了对ext3分区的支持,默认使用128的inode_size以保持兼容性
2.添加了对ext4分区的支持(包括所有特性)
3.rpm添加了对lzma的支持。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
61 [Magic Linux 2.5] KDE相关 细节 总是 2009-04-08 11:59 2009-04-20 09:24
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 不必改  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha2  
摘要: ktorrent无法下载pt的种子
描述: 因为ktorrent的标识改成了xunlei,导致无法下载pt。需要改回来。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000188)
sejishikong   
2009-04-20 09:24   
经测试,不是ktorrent的问题。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
64 [Magic 仓库] 添加软件 小错误 没有试验 2009-04-08 12:57 2009-04-20 08:59
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 稍后处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 为magic 2.5添加商业软件
描述: 经测试可以正常运行的商业软件,如果可以的话,会出现在nosrc仓库。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000168)
sejishikong   
2009-04-08 12:58   
已经测试的有:
linuxqq,下载地址:www.qq.com
nxclients for linux,下载地址:www.nomachine.com
(0000187)
sejishikong   
2009-04-20 08:59   
先关闭,如果有更新,本贴直接修改

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
69 [Magic Linux 2.5] KDE相关 小错误 总是 2009-04-17 12:33 2009-04-18 16:17
报告员: djpj2046 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: alpha1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha2  
    目标版本:  
摘要: mplayer报错codec drvc.dll
描述: 我用过的一些发行版,貌似都有这问题。ML上面的mplayer也有,但是不影响播放。
Ubuntu论坛上面有解决方法,通过替换drvc.dll可以解决。
http://forum.ubuntu.org.cn/viewtopic.php?f=74&t=195161
另外,mplayer也不够稳健。
标签:
问题重现步骤:
附注:
附件: drvc.dll (327,749 字节) 2009-04-18 15:39
https://www.magiclinux.org/bugs/file_download.php?file_id=11&type=bug
问题注释
(0000181)
sejishikong   
2009-04-17 14:42   
magic里没有drvc.dll,只有.so,可以放在一起么?你测试过更新这个就正常了?
(0000184)
djpj2046   
2009-04-18 15:37   
恩,放在一起后,就正常了,没有在报错了
(0000185)
djpj2046   
2009-04-18 15:40   
drvc.dll已经添加到附件里面了

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
62 [Magic Linux 2.5] KDE相关 小错误 总是 2009-04-08 12:36 2009-04-17 17:15
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha2  
摘要: kpackages无法安装在中文目录下的包
描述: 当安装时提示无法找到,中文显示为?
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000183)
sejishikong   
2009-04-17 17:15   
ok,已经修正。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
34 [其它桌面环境] 小调整 总是 2008-11-13 12:34 2009-04-16 17:27
报告员: lylddzyx1 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 关于ML2.1一点击文件夹图标就自动进入重命名
描述: 关于ML2.1一点击文件夹图标就自动进入重命名模式的困惑。
对于一般用户来讲,系统默认的一点击图标就进入重命名模式确实很不方便,虽然可以在设置那里改,但是我却觉得这样很不方便。希望ML2.1的开发者们能够改改这样的默认设置,谢谢了。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000179)
sejishikong   
2009-04-16 17:27   
已修正

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
60 [Magic Linux 2.5] KDE相关 新功能 不适用 2009-04-07 16:38 2009-04-16 14:50
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: cd版本中需要移除的包
描述: 相对于dvd版本,cd版本中可以移除的包。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000162)
sejishikong   
2009-04-07 17:10   
(最后编辑: 2009-04-07 17:19)
移除:
aMule
apt(只保留smart)
autoconvert(有enca)
avahi(保留依赖关系需要的几个包)
bind
bitstormlite(有ktorrent)
multiget
wx-
yasm-
xorg-x11-server-source

(0000163)
sejishikong   
2009-04-08 09:59   
kdewebdev
qemu
kvm
mplayer
smplayer
kmplayer
boost
rpm-apidocs
(0000164)
sejishikong   
2009-04-08 10:22   
移除了大部分非常用devel包。
(0000165)
sejishikong   
2009-04-08 10:29   
nx(freenx)
非常用kde包
NuvoX
(0000166)
sejishikong   
2009-04-08 10:31   
python-test
(0000167)
sejishikong   
2009-04-08 10:36   
目前制作出的iso正好700M
(0000176)
sejishikong   
2009-04-16 14:50   
暂时就这么处理,如果有其它可移除或添加的包,再考虑。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
68 [Magic Linux 2.5] 内核相关 新功能 不适用 2009-04-16 14:50 2009-04-16 14:50
报告员: sejishikong 平台:  
分派给: 操作系统:  
优先级: 操作系统版本:  
状态: 新建 产品版本: alpha1  
产品Build: 处理状况: 未处理  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha2  
摘要: 编写一个shell脚本以转换GB18030到UTF-8
描述: 编写一个shell脚本,转换locale从GB到UTF-8,已经知道需要处理的地方有:
1./etc/sysconfig/i18n(这里涉及到initscripts里一个地方也需要改)
2./etc/fstab的挂载参数(fsautomount也需要修改)
3.hal的配置。
标签:
问题重现步骤:
附注:
附件:
这个问题没有注释信息

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
67 [Magic Linux 2.5] 内核相关 很严重 总是 2009-04-09 15:17 2009-04-15 11:34
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本: alpha1  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha1  
摘要: 在Ext3分区上不能正常启动
描述: magic安装到ext3分区后,不能正常启动,无法识别分区。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000173)
sejishikong   
2009-04-13 19:57   
反复测试,比较奇怪,把mi的mkfs.ext3换成了现在magic里的。可以在ext3上正常启动了,但是grub不认这个ext3分区。
(0000174)
sejishikong   
2009-04-14 17:27   
知道原因了,因为magic的e2fsprogs是从fc拿来的,而fc里的ext3的inode_size并不是128,而是256,导致了一些兼容问题。grub打上了相应的补丁,同时grub也打了ext4的补丁。不过由于现在mi还无法支持ext4(主要是parted不支持,得更换),所以暂时还是只能用ext3的。为了保证兼容性,mi安装的时候,ext3将以128的node_size进行格式化。
(0000175)
sejishikong   
2009-04-15 11:34   
OK,忙活了一个星期,总算修正了。
同时,mi添加ext4支持,就是说现在magic可以安装到ext4分区上了,但是暂时支持还是不完善的,mi格式化的ext4,只启用了has_journal,extents.而对于其它的,比如huge_file,flex_bg,uninit_bg,dir_nlink,extra_isize等,由于不明原因,暂时还不能支持(magic本身是支持的)。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
25 [Magic 仓库] General 小错误 总是 2008-11-02 21:36 2009-04-08 09:26
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: gimp的汉化不完整
描述: 供magic 2.1使用的gimp 2.4和2.6还有很多英文,工具提示全是英文,菜单上也有不少英文,包括菜单上的部分文字和部分提示是英文。,
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000086)
souser   
2008-11-02 21:40   
请删了0000025 这一条。
(0000153)
sejishikong   
2009-04-06 16:59   
正在使用的2.6好像汉化的还可以。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
56 [Magic Linux 2.5] 界面相关 小错误 总是 2009-04-03 15:14 2009-04-07 14:01
报告员: sejishikong 平台:  
分派给: liudi 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本:  
摘要: multiget 界面乱码
描述: multiget界面在zh_CN.GB18030的locale下会乱码。在GBK的local下会不能启动,只在GB2312的locale下正常。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000146)
nihui   
2009-04-03 21:07   
locale 中曾经弄过一个
LC_ALL=zh_CN.GB18030
为了让 wine 能够正常输入中文
会不会和这个定义有关呢?
(0000148)
sejishikong   
2009-04-05 20:37   
不是。现在没有这个定义也是不行的。
只有GB2312是正常的,看了源码,感觉可能和wx的转换函数有关。和multiget没什么关系。
(0000149)
sejishikong   
2009-04-05 21:12   
更新了wx到2.8.10,还是不行。
(0000152)
nihui   
2009-04-06 00:15   
弄个 alias ?
(0000154)
souser   
2009-04-06 22:07   
用magic的rpm文件在2.1中会有乱码,但用二进制文件没有乱码。
(0000156)
sejishikong   
2009-04-07 07:58   
它官方的二进制文件?那个可能是静态编译的,和系统的wx无关了。
(0000160)
sejishikong   
2009-04-07 13:34   
采用了比较ugly的办法解决了。直接写了一个脚本,在zh_CN.GB的locale下使用 LC_ALL=zh_CN.GB2312 启动mulitge。

这个原因应该是wx不支持GBK/GB18030造成的,不过原来是行的,不知道具体是什么原因。猜测现在wx在转码的时候会判断系统的编码,而gbk/gb18030它不认识,就返回了wxFONTENCODING_UNKNOWN。
(0000161)
sejishikong   
2009-04-07 14:00   
没办法了,就这么解决吧。
另:这个multiget是支持迅雷、快车专用链的。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
59 [Magic Linux 2.5] 界面相关 小错误 总是 2009-04-06 17:47 2009-04-07 08:25
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本: alpha1  
摘要: smart 的软件包描述乱码
描述: smart 中的软件包描述乱码,无论是GUI还是CLI,apt-cache是正常的。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000155)
sejishikong   
2009-04-07 07:57   
乱码从gb18030转成iso-8859-1就正常了,可能是因为smart内部做了一次不必要的转换。
python从gb18030转成iso-8859-1的函数有么?
(0000157)
sejishikong   
2009-04-07 08:24   
补丁:

diff -ur smart-1.2.orig/smart/backends/rpm/header.py smart-1.2/smart/backends/rpm/header.py
--- smart-1.2.orig/smart/backends/rpm/header.py 2009-04-06 18:20:45.000000000 +0800
+++ smart-1.2/smart/backends/rpm/header.py 2009-04-07 08:22:51.000000000 +0800
@@ -49,7 +49,7 @@
 CRPMTAG_UPDATE_DATE = 1000022
 CRPMTAG_UPDATE_URL = 1000023
 
-ENCODINGS = ["utf8", "iso-8859-1"]
+ENCODINGS = ["gb18030", "utf8", "iso-8859-1"]
 
 
 def get_header_filenames(header):

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
54 [Magic Linux 2.5] KDE相关 小错误 总是 2009-04-02 23:31 2009-04-06 17:15
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本: alpha1  
    目标版本:  
摘要: smlayer 不能正常使用
描述: smlayer 的首选项中的输出设备为空,无法播放视频。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000143)
sejishikong   
2009-04-02 23:37   
这是因为magic的mplayer的输出是中文的原因,smpalyer 0.5.21没有处理这种情况。
补丁如下:
diff -ur smplayer-0.5.21.orig/src/inforeader.cpp smplayer-0.5.21/src/inforeader.cpp
--- smplayer-0.5.21.orig/src/inforeader.cpp 2009-04-02 23:16:15.000000000 +0800
+++ smplayer-0.5.21/src/inforeader.cpp 2009-04-02 23:18:18.000000000 +0800
@@ -51,7 +51,7 @@
        ao_list.clear();
        demuxer_list.clear();

- run("-vo help -ao help -demuxer help -vc help -ac help");
+ run("-identify -vo help -ao help -demuxer help -vc help -ac help");
        //run("-demuxer help");

        list();
@@ -89,11 +89,11 @@

 }

-static QRegExp rx_vo_key("^Available video output drivers");
-static QRegExp rx_ao_key("^Available audio output drivers");
-static QRegExp rx_demuxer_key("^Available demuxers");
-static QRegExp rx_ac_key("^Available audio codecs");
-static QRegExp rx_vc_key("^Available video codecs");
+static QRegExp rx_vo_key("^ID_VIDEO_OUTPUTS");
+static QRegExp rx_ao_key("^ID_AUDIO_OUTPUTS");
+static QRegExp rx_demuxer_key("^ID_DEMUXERS");
+static QRegExp rx_ac_key("^ID_AUDIO_CODECS");
+static QRegExp rx_vc_key("^ID_VIDEO_CODECS");

 static QRegExp rx_driver("\\t(.*)\\t(.*)");
 static QRegExp rx_demuxer("^\\s+([A-Z,a-z,0-9]+)\\s+(\\d+)\\s+(\\S.*)");

这个补丁是从smlayer 0.6.7 backport的。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
57 [Magic Linux 2.5] 内核相关 很严重 总是 2009-04-05 20:28 2009-04-05 20:35
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本: alpha1  
摘要: 普通用户无法登录图形界面
描述: 普通用户一登录图形界面就会自动返回到KDM。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000147)
sejishikong   
2009-04-05 20:29   
原因是路径的权限不对。修复如下:
chmod 755 /usr/{lib,include,share},原因可能是打包的时候设置的权限不对,不过具体是哪个包,需要查询。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
53 [Magic Linux 2.5] General 小错误 总是 2009-03-29 19:03 2009-04-03 10:31
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: freenx-server 不能正常使用
描述: 用nx的client连接server时,会出现虽然能连接,但X界面一闪而过的情况。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000145)
sejishikong   
2009-04-03 10:30   
在/etc/nxserver/node.conf中添加如下内容(如果没有可新建或从node.conf.sample复制):

DEFAULT_FONT_PATH=$(echo $(grep -v '^ *#' /etc/X11/xorg.conf | grep FontPath | awk '{print $2}' | sed -r "s/^[\"']|[\"']$//g") | sed 's/ /,/g')
AGENT_EXTRA_OPTIONS_X="-fp $DEFAULT_FONT_PATH"

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
55 [Magic Linux 2.5] General 小错误 总是 2009-04-03 00:01 2009-04-03 10:23
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 无法使用ctrl+alt+backspace来杀死X
描述: 即使在xorg.conf中添加如下语句:

Section "ServerFlags"
    Option "DontZap" "false"
EndSection

仍然无法使用这三键来杀死或重启动X
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000144)
sejishikong   
2009-04-03 10:23   
这是因为xorg-x11-xkbdata打包中的路径错误。已经修复。
同时libXt也有个路径错误,一并修复xvidtune不能运行的问题。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
48 [Magic Linux 2.5] General 小错误 总是 2009-03-19 14:05 2009-03-28 14:14
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: nvidia 官方驱动不能正常安装。
描述: 安装 nvidia 官方驱动时提示内核未配置。
其它内核模块的编译也有问题。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000128)
sejishikong   
2009-03-19 14:12   
安装nv官方驱动的临时解决办法:
安装kernel-smp-source
然后cd /lib/modules/`uname -r`/build/
cp Module.symver /usr/src/linux
cd ..
mv build build.bak
ln -s /usr/src/linux build
cd build
make

到main 的时候用ctrl_C中止,这样就可以正常安装nv驱动了。
(0000129)
sejishikong   
2009-03-20 08:46   
更新kernel到2.6.28.8,修正了build目录的安装问题,应该已经解决。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
52 [Magic Linux 2.5] General 小错误 总是 2009-03-28 13:29 2009-03-28 13:47
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: apt-get 无法运行
描述: 运行apt-get check(或者其它命令)时出现:
apt-get: rpmds.c:518:rpmdsDupArgv: 断言“argv[ac] != ((void *)0)”失败。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000142)
sejishikong   
2009-03-28 13:33   
原因是rpm的代码中的rpmdsDupArgv()函数对空的argv扔出了异常,而apt-get向它传递的就是空的argv.
补丁如下:
diff -ur rpm-4.6.0.orig/lib/rpmds.c rpm-4.6.0/lib/rpmds.c
--- rpm-4.6.0.orig/lib/rpmds.c 2009-03-28 13:30:14.000000000 +0800
+++ rpm-4.6.0/lib/rpmds.c 2009-03-28 13:31:23.000000000 +0800
@@ -514,15 +514,14 @@

     if (argv == NULL)
        return NULL;
- for (ac = 0; ac < argc; ac++) {
-assert(argv[ac] != NULL);
+ for (ac = 0; ac < argc && argv[ac]; ac++) {
        nb += strlen(argv[ac]) + 1;
     }
     nb += (ac + 1) * sizeof(*av);

     av = xmalloc(nb);
     t = (char *) (av + ac + 1);
- for (ac = 0; ac < argc; ac++) {
+ for (ac = 0; ac < argc && argv[ac]; ac++) {
        av[ac] = t;
        t = stpcpy(t, argv[ac]) + 1;
     }
~

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
46 [Magic Linux 2.5] General 新功能 没有试验 2009-03-16 09:01 2009-03-27 15:59
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 细分 KDE 3 包
描述: 重写 kde 相关包的 spec, 把 kde3 的包细分以减少 cd 大小和与 kde4 兼容。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000122)
sejishikong   
2009-03-16 09:06   
第一个包:kdelibs 不再细分,因为这个包基本上也没什么可分的。
(0000123)
sejishikong   
2009-03-17 11:38   
第二个包:kdebase,拆出ksysguard/konsole/kdeprintfax/kate/nsplugins/kdm/kmenuedit。
同时拆分magic-kde-config为magic-kde-config和maigc-kdm-config.

另:为qt4的spec添加中文摘要和描述。
(0000125)
sejishikong   
2009-03-18 08:53   
第三个包:kdepim,拆出akgretor,kaddressbook,kandy,karm,kitchensync,kmail,knode,knotes,kontact,korganizer,korn,kpilot,ktnef,wizards,common和devel包。
(0000126)
sejishikong   
2009-03-18 14:44   
第四个包:kdenetwork,拆出kopete,krfb,kdict,kget,knewticker,kppp,ksirc,ktalk,kwifimanager,lisa,common和devel包。
(0000127)
sejishikong   
2009-03-19 14:04   
第五个包,kdemultimedia,拆出arts,juk,noatun,kaboole,kmix,kmid,krec,kscd,common和devel(kaudiocreator没有编译出来)。
(0000130)
sejishikong   
2009-03-20 16:58   
第六个包:kdegraphics,拆出kview,ksvg,kooka,kghostview,kfax,kpovmodeler,kolourpaint,mrmlsearch,kuickshow,ksnapshot,kpdf,kdvi,kruler,kiconedit,kcoloredit,kcolorchooser及common,devel包,提供kdegraphics和extra虚包。
(0000131)
sejishikong   
2009-03-20 23:36   
第七个包,kdeutils,拆出klaptop,kmilo,ark,khexedit,kedit,kfloppy,kdf,kcalc,ksim,ktimer,kjots,kgpg,kdessh,kcharselect,superkaramba,kwalletmanager及common,devel包。
(0000133)
sejishikong   
2009-03-22 17:51   
第八个包,kdegames,暂不拆分(这个太多了,而且好像也没有必要拆分)
(0000134)
sejishikong   
2009-03-22 21:31   
第九个包,kdeadmin,拆出kpackage,kuser,ksysv,kcron
(0000135)
sejishikong   
2009-03-22 21:36   
第十个包,kdeaddons,拆出akregator,atlantik,kaddressbook-plugins,kate,kfile-plugins,kicker-applets,knewsticker,konqimagegallery,konq-plugins,ksig,metabar,noatun,renamedlg,searchbar
(0000138)
sejishikong   
2009-03-27 11:04   
第十一个包:kdesdk,拆出cervisia,devel,kbabel,kcachegrind,kompare,po2xml,umbrello, kdesdk。
(0000139)
sejishikong   
2009-03-27 15:59   
第十二包:kwebdev,拆出kommander,kompare及quanta本身。
kdeedu和kdetoys不再拆分,kdeartwork不打,已经完成

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
51 [Magic Linux 2.5] General 小错误 没有试验 2009-03-24 17:22 2009-03-27 12:01
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 打包kdeadmin4时出错
描述: 最后提示:
rpmbuild: rpmfc.c:407:rpmfcHelper: 断言“EVR != ((void *)0)”失败。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000137)
sejishikong   
2009-03-25 10:04   
是因为在kdeadmin4包中的knetworkconf/backends/system-tools-backends.pc.cmake 中的Version: ${VERSION}会带来一个空的Version的pc文件,rpm打包时处理这样的文件会出错,这应该是rpm4.6的问题,临时的解决办法是在%install段里加入这样一行:
find %{buildroot} -name "*.pc*" |xargs rm -f

kdeadmin4 的pc 文件暂时没有用。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
50 [Magic Linux 2.5] General 小错误 总是 2009-03-24 15:55 2009-03-27 11:13
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: KDE4 程序编译时无法找到kdepim
描述: 做一个备忘:

/opt/kde4/share/apps/cmake/modules/FindKdepimLibs.cmake文件中的这一行:

find_package(KdepimLibs ${KdepimLibs_FIND_VERSION} QUIET NO_MODULE PATHS ${KDE4_LIB_DIR}/KdepimLibs/cmake )

应该改成:

find_package(KdepimLibs ${KdepimLibs_FIND_VERSION} QUIET NO_MODULE PATHS ${KDE4_LIB_DIR}/cmake/KdepimLibs-4.2.0 )

这个文件属于kdelibs4-devel包.
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000136)
sejishikong   
2009-03-25 09:40   
补充,另一个文件:/opt/kde4/share/apps/cmake/modules/FindKDE4Workspace.cmake

也需要修改成

find_package(KDE4Workspace QUIET NO_MODULE PATHS ${KDE4_LIB_DIR}/cmake/KDE4Workspace-4.2.0 )

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
44 [Magic Linux 2.5] General 小错误 有时 2009-03-14 17:07 2009-03-15 17:29
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: cce 不能正常运行
描述: cce 运行的时候会出现段错误。
但在部分机器上又可以运行。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000120)
sejishikong   
2009-03-15 13:13   
在我的nvidia gf5700 ultra的显卡上,cce可以运行,但退出会导致花屏,根据gdb的结果来看,应该和内核中的显示驱动变动有关。
(0000121)
sejishikong   
2009-03-15 17:29   
原因找到了,是因为cce寻找的fb的设备名不对。
补丁如下:
--- cce-0.51.orig/src/display/vgaop.c
+++ cce-0.51/src/display/vgaop.c
@@ -232,7 +233,7 @@
 
 #endif
 
- if (gramMem == (char *)MAP_FAILED)
+ if (gramMem == (unsigned char *)MAP_FAILED)
     {
                Perror("mmap graphics memory failed");
                return FAILURE;--- cce-0.51.orig/include/fb.h
--- cce-0.51.orig/include/fb.h
+++ cce-0.51/include/fb.h
@@ -46,7 +46,7 @@
 #if defined(linux)
 
 #define DEFAULT_FB "/dev/fb"
-#define DEFAULT_FB_DEVFS "/dev/fb/0"
+#define DEFAULT_FB_DEVFS "/dev/fb0"
 
 #elif defined(__FreeBSD__)
 extern int fbwidth, fbheight, fbdepth;

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
43 [Magic Linux 2.5] General 小错误 总是 2009-03-14 16:15 2009-03-14 16:16
报告员: sejishikong 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: network 服务脚本不能正常运行
描述: network 脚本不能正常运行。提示ifcfg-eth*等不存在。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000117)
sejishikong   
2009-03-14 16:16   
原因是脚本和 bash4 存在兼容问题,已经更新。
initscripts-8.50

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
40 [其它桌面环境] 小调整 总是 2008-12-11 21:09 2008-12-23 09:49
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 不做修改  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: picasa不能显示中文
描述: 原来在magic 2.0中可以显示中文
标签:
问题重现步骤:
附注:
附件: mgc2.1picasa.png (119,843 字节) 2008-12-11 21:09
https://www.magiclinux.org/bugs/file_download.php?file_id=10&type=bug
png
问题注释
(0000107)
sejishikong   
2008-12-15 15:49   
可以参考问题0000010,注意可能还需要复制一些字体。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
36 [其它桌面环境] 小调整 总是 2008-12-02 22:10 2008-12-15 15:55
报告员: lylddzyx1 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 不必改  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 缺少rtld(GNU_HASH)这个组件,导致某些软件无法安装
描述: 缺少rtld(GNU_HASH)这个组件,导致某些软件无法安装。
标签:
问题重现步骤:
附注: resolved.
附件:
问题注释
(0000098)
lylddzyx1   
2008-12-04 10:39   
问题已经解决,到http://apt.magiclinux.org/magic/2.5/unstable/RPMS.os/ 手动下载glibc2.7版升级就可以了

网上说是要把glibc更新到2.5以上版本就可以了,我把glibc更新到2.7就解决了这个问题。
(0000101)
nihui   
2008-12-05 17:47   
resolved.

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
24 [其它桌面环境] 很严重 总是 2008-10-29 18:55 2008-10-31 13:29
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 已修正  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: 普通用户挂载和卸载U盘需要root密码
描述: 什么时候能解决?使普通用户有使用U盘的权限。
标签:
问题重现步骤:
附注:
附件:
问题注释
(0000076)
sejishikong   
2008-10-30 23:13   
已经更新hal,解决了这个问题。

查看问题详情
编号: 分类: 严重性: 出现频率: 报告日期: 最后更新:
13 [其它桌面环境] 很严重 总是 2008-10-18 15:55 2008-10-24 10:09
报告员: souser 平台:  
分派给: sejishikong 操作系统:  
优先级: 操作系统版本:  
状态: 已解决 产品版本:  
产品Build: 处理状况: 不做修改  
处理方式:      
估计完成时间: 修正版本:  
    目标版本:  
摘要: qsopcast不能用
描述: 运行qsopcast后,点“启动”不能启动。
标签:
问题重现步骤:
附注:
附件: mgc2.1rc3qsop.png (13,258 字节) 2008-10-18 22:16
https://www.magiclinux.org/bugs/file_download.php?file_id=2&type=bug
png
问题注释
(0000024)
nihui   
2008-10-18 17:20   
启动之后,等左下角到 100%,然后点“播放器”。
kaffeine 就出来了~

我这边没有这个问题。
(0000025)
sejishikong   
2008-10-18 20:29   
我这里是正常的,是不是网络有问题?
(0000027)
souser   
2008-10-18 22:17   
我不知道nihui和sejinshikong是怎样理解的,我指的是运行了qsopcast后,已经读取了节目列表,接着选一个热门节目点启动,启动的按钮已经凹下去了,但一直都没有连接节目源,也就没有缓冲,不能启动。我说清楚了没有?我不明白你们为什么会正常,我的就不行?我已经重装了系统几次了,一装好系统就试,每次都一样。
(0000048)
souser   
2008-10-21 16:13   
用了cd版,还是不行。